Subject: PHP negotiation

From: [email-masked]
Date: Tue, 23 Jan 2001 18:52:58 -0800

Hi all,
     The following paragraph is from Section 3.16. (Penultimate Hop Popping) of
RFC3031.

   "Initial label distribution protocol negotiations MUST allow each LSR
   to determine whether its neighboring LSRS are capable of popping the
   label stack.  A LSR MUST NOT request a label distribution peer to pop
   the label stack unless it is capable of doing so."

     However, I can not find any mechanism in LDP/CR-LDP or RSVP-TE  to
accomplish this PHP negotiation.

     Am I missing something here?

-- James Huang

---

From: Bora Akyol <[email-masked]>
Date: Tue, 23 Jan 2001 20:24:45 -0800

You should also read the label encapsulation RFC. What happens
is that the egress LSR assigns an (...) NULL label (I think it
should be Implicit Null) to the penultimate hop, if penultimate
hop does not support this, then LSP setup should fail.

There was a LOOONG discussion on this sometime last year.

Some people think this stuff is really clear. I think that it is
in about three different RFCs, and someone needs to write a BCP
that explains common usage and tricks that network operators
that use MPLS should use.

BTW, this question comes up about once a month on the list,
maybe we should have an MPLS FAQ.

Bora

>>>>> "James" == James Huang <[email-masked]> writes:

    James> Hi all, The following paragraph is from Section
    James> 3.16. (Penultimate Hop Popping) of RFC3031.

    James>    "Initial label distribution protocol negotiations
    James> MUST allow each LSR to determine whether its
    James> neighboring LSRS are capable of popping the label
    James> stack.  A LSR MUST NOT request a label distribution
    James> peer to pop the label stack unless it is capable of
    James> doing so."

    James>      However, I can not find any mechanism in
    James> LDP/CR-LDP or RSVP-TE to accomplish this PHP
    James> negotiation.

    James>      Am I missing something here?

    James> -- James Huang